<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Object Descriptor Configuration</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Object Descriptor Configuration<br/>
<small>
[<a class="el" href="group__group__vx__framework__config.html">TIOVX Configuration Parameters</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__cfg.html#ga1e02e5d729613194b6a7aa2c441688df">tivxGetObjDescList</a> (uint16_t obj_desc_id[], <a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> *obj_desc[], uint32_t num_desc_id)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Function to get the pointer to object descriptors for the given object descriptor id.  <a href="#ga1e02e5d729613194b6a7aa2c441688df"></a><br/></td></tr>
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__cfg.html#ga7a93c4925d91236020efc68447b23108">TIVX_CMD_MAX_OBJ_DESCS</a>&nbsp;&nbsp;&nbsp;(16u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max object descriptors than be parameters in a command object.  <a href="#ga7a93c4925d91236020efc68447b23108"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__cfg.html#gad471d737678c451088d2904a41c53bc4">TIVX_IMAGE_MAX_PLANES</a>&nbsp;&nbsp;&nbsp;(3u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max possible planes of data in an image.  <a href="#gad471d737678c451088d2904a41c53bc4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__cfg.html#ga4cc5e19e782439d7422fd08f47c17b09">TIVX_KERNEL_MAX_PARAMS</a>&nbsp;&nbsp;&nbsp;(10u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max parameters in a kernel.  <a href="#ga4cc5e19e782439d7422fd08f47c17b09"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__cfg.html#gad70fbfdc1f0c57ecc19a1d29878cbe18">TIVX_NODE_MAX_OUT_NODES</a>&nbsp;&nbsp;&nbsp;(8u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max nodes taking output form a given node.  <a href="#gad70fbfdc1f0c57ecc19a1d29878cbe18"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__cfg.html#ga65703b0b4923bf9ef6393f5e0cead75b">TIVX_NODE_MAX_IN_NODES</a>&nbsp;&nbsp;&nbsp;(8u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max nodes feeding input to a given node.  <a href="#ga65703b0b4923bf9ef6393f5e0cead75b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__cfg.html#ga9394c906b6f2581dcbfe1b830d31eee5">TIVX_PYRAMID_MAX_LEVEL_OBJECTS</a>&nbsp;&nbsp;&nbsp;(32)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Maximum number of objects supported in pyramid.  <a href="#ga9394c906b6f2581dcbfe1b830d31eee5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__cfg.html#ga1d57be13326dfee5ccb50f6bfae364da">TIVX_OBJECT_ARRAY_MAX_ITEMS</a>&nbsp;&nbsp;&nbsp;(32)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Maximum number of objects supported in object array.  <a href="#ga1d57be13326dfee5ccb50f6bfae364da"></a><br/></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="ga7a93c4925d91236020efc68447b23108"></a><!-- doxytag: member="tivx_obj_desc_priv.h::TIVX_CMD_MAX_OBJ_DESCS" ref="ga7a93c4925d91236020efc68447b23108" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_CMD_MAX_OBJ_DESCS&nbsp;&nbsp;&nbsp;(16u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max object descriptors than be parameters in a command object. </p>

</div>
</div>
<a class="anchor" id="gad471d737678c451088d2904a41c53bc4"></a><!-- doxytag: member="tivx_obj_desc.h::TIVX_IMAGE_MAX_PLANES" ref="gad471d737678c451088d2904a41c53bc4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_IMAGE_MAX_PLANES&nbsp;&nbsp;&nbsp;(3u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max possible planes of data in an image. </p>

</div>
</div>
<a class="anchor" id="ga4cc5e19e782439d7422fd08f47c17b09"></a><!-- doxytag: member="tivx_obj_desc.h::TIVX_KERNEL_MAX_PARAMS" ref="ga4cc5e19e782439d7422fd08f47c17b09" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_KERNEL_MAX_PARAMS&nbsp;&nbsp;&nbsp;(10u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max parameters in a kernel. </p>

</div>
</div>
<a class="anchor" id="gad70fbfdc1f0c57ecc19a1d29878cbe18"></a><!-- doxytag: member="tivx_obj_desc.h::TIVX_NODE_MAX_OUT_NODES" ref="gad70fbfdc1f0c57ecc19a1d29878cbe18" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_NODE_MAX_OUT_NODES&nbsp;&nbsp;&nbsp;(8u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max nodes taking output form a given node. </p>

</div>
</div>
<a class="anchor" id="ga65703b0b4923bf9ef6393f5e0cead75b"></a><!-- doxytag: member="tivx_obj_desc.h::TIVX_NODE_MAX_IN_NODES" ref="ga65703b0b4923bf9ef6393f5e0cead75b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_NODE_MAX_IN_NODES&nbsp;&nbsp;&nbsp;(8u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max nodes feeding input to a given node. </p>

</div>
</div>
<a class="anchor" id="ga9394c906b6f2581dcbfe1b830d31eee5"></a><!-- doxytag: member="tivx_obj_desc.h::TIVX_PYRAMID_MAX_LEVEL_OBJECTS" ref="ga9394c906b6f2581dcbfe1b830d31eee5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_PYRAMID_MAX_LEVEL_OBJECTS&nbsp;&nbsp;&nbsp;(32)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Maximum number of objects supported in pyramid. </p>

</div>
</div>
<a class="anchor" id="ga1d57be13326dfee5ccb50f6bfae364da"></a><!-- doxytag: member="tivx_obj_desc.h::TIVX_OBJECT_ARRAY_MAX_ITEMS" ref="ga1d57be13326dfee5ccb50f6bfae364da" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_OBJECT_ARRAY_MAX_ITEMS&nbsp;&nbsp;&nbsp;(32)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Maximum number of objects supported in object array. </p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga1e02e5d729613194b6a7aa2c441688df"></a><!-- doxytag: member="tivx_obj_desc.h::tivxGetObjDescList" ref="ga1e02e5d729613194b6a7aa2c441688df" args="(uint16_t obj_desc_id[], tivx_obj_desc_t *obj_desc[], uint32_t num_desc_id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivxGetObjDescList </td>
          <td>(</td>
          <td class="paramtype">uint16_t&nbsp;</td>
          <td class="paramname"> <em>obj_desc_id</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> *&nbsp;</td>
          <td class="paramname"> <em>obj_desc</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&nbsp;</td>
          <td class="paramname"> <em>num_desc_id</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Function to get the pointer to object descriptors for the given object descriptor id. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>obj_desc_id</em>&nbsp;</td><td>list of object descriptor id </td></tr>
    <tr><td valign="top"><tt>[out]</tt>&nbsp;</td><td valign="top"><em>obj_desc</em>&nbsp;</td><td>object descriptor pointer </td></tr>
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>num_desc_id</em>&nbsp;</td><td>number of valid entries in obj_desc_id </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
